function y = RungeKutta(Cd,b,y0,A,t_end,n_steps)

y_i = y0;
h = t_end/n_steps;
y_i1 = y_i + h*y_derivative(Cd,b,y_i,A);
y = [y_i];


for k=1:n_steps
    
    k1=y_derivative(Cd,b,y(k),A);
 
    k2=y_derivative(Cd,b,y(k)+h/2*k1,A);
    
    k3=y_derivative(Cd,b,y(k)+h/2*k2,A);
    
    k4=y_derivative(Cd,b,y(k)+h*k3,A);
    
    y_i1 = y(k) + h/6*(k1+2*k2+2*k3+k4);
    y = [y y_i1];
end

function y_der = y_derivative(Cd,b,y,A)

y_der = -(2*Cd*b*(sqrt(2*9.81))*y^(3/2))/(3*A);